# Poco::Zip

# class AutoDetectOutputStream

Library: Zip
Package: Zip
Header: Poco/Zip/AutoDetectStream.h

## Description

This stream copies all characters written to it to one or multiple output streams.

## Inheritance

Direct Base Classes: AutoDetectIOS, std::ostream

All Base Classes: AutoDetectIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### AutoDetectOutputStream

AutoDetectOutputStream(
std::ostream & ostr
);

Creates the AutoDetectOutputStream and connects it to the given input stream. Bytes written are guaranteed to be in the range [start, end-1] If initStream is true the status of the stream will be cleared on the first access, and the stream will be repositioned to position start

## Destructor

### ~AutoDetectOutputStream

~AutoDetectOutputStream();

Destroys the AutoDetectOutputStream.